<?php

require $_SERVER["DOCUMENT_ROOT"] . "/api/simple_image_class.php";

$content = '<p>В установочный центр &nbsp;<a href="/articles/alfa-car/" style="text-decoration: underline; line-height: 1.42857143; outline: 0px; background-color: rgb(39, 43, 48);">Alfa-Car</a>&nbsp;обратился владелец&nbsp;Mercedes-Benz W164. Основная задача - улучшить качество света. Проблема, как и предполагалось, заключалась в выгоревших отражателях линз. <a href="http://atomicgarage.1gb.ru/products/biksenonovaya-linza-hella-2-classic/">Линзы заменили на новые</a>, а для того, чтобы продлить срок службы отражателей, в каждую фару внедрили по два кольца, работающих по принципу световодов, подсвечиваемых диодами CREE. &nbsp;<a href="http://atomicgarage.1gb.ru/catalog/angelskie-glazki-svetodiodnye-bmw-style/">Такие *ангельские глазки*</a> отлично выполняют функцию дневных ходовых огней, что позволяет владельцу авто не пользоваться ближним светом фар в светлое время суток. После выполнения работ по замене линз и внедрению колец, фары отполировали и затянули бронепленкой.</p>

<p><strong>Снятая и разобранная фара:</strong></p>

<p>&nbsp;<img alt="" src="/files/uploads/Blog/Mersedes-benz/164zamenalins_GD/1.JPG" style="width: 700px; height: 525px;" /></p>

<p>&nbsp;<img alt="" src="/files/uploads/Blog/Mersedes-benz/164zamenalins_GD/2.JPG" style="width: 700px; height: 525px;" /></p>

<p>&nbsp;Л<strong>инза под замену:</strong></p>

<p><strong>&nbsp;<img alt="" src="/files/uploads/Blog/Mersedes-benz/164zamenalins_GD/3.JPG" style="width: 700px; height: 525px;" /></strong></p>

<p><strong>&nbsp;Выгоревшие отражатели:</strong></p>

<p><strong>&nbsp;<img alt="" src="/files/uploads/Blog/Mersedes-benz/164zamenalins_GD/4.JPG" style="width: 700px; height: 525px;" /></strong></p>

<p><strong>&nbsp;<img alt="" src="/files/uploads/Blog/Mersedes-benz/164zamenalins_GD/5.JPG" style="width: 700px; height: 525px;" /></strong></p>

<p><strong>&nbsp;Установленные фары:</strong><strong style="line-height: 1.42857143;">&nbsp;</strong></p>

<p><strong>&nbsp;<img alt="" src="/files/uploads/Blog/Mersedes-benz/164zamenalins_GD/10.JPG" style="width: 700px; height: 525px;" /></strong></p>

<p><span style="color: rgb(255, 255, 255); line-height: 1.42857143;">&nbsp;Слева фара до полировки, справа - после:</span></p>

<p><font color="#ffffff">&nbsp;<img alt="" src="/files/uploads/Blog/Mersedes-benz/164zamenalins_GD/8.JPG" style="width: 348px; height: 261px;" />&nbsp;<img alt="" src="/files/uploads/Blog/Mersedes-benz/164zamenalins_GD/11.JPG" style="width: 348px; height: 261px;" /></font></p>

<p><font color="#ffffff">&nbsp;<img alt="" src="/files/uploads/Blog/Mersedes-benz/164zamenalins_GD/9.JPG" style="width: 348px; height: 261px;" />&nbsp;<img alt="" src="/files/uploads/Blog/Mersedes-benz/164zamenalins_GD/14.JPG" style="width: 348px; height: 261px;" /></font></p>

<p><font color="#ffffff">&nbsp;Кольца в режиме ДХО:</font></p>

<p><font color="#ffffff">&nbsp;<img alt="" src="/files/uploads/Blog/Mersedes-benz/164zamenalins_GD/19.JPG" style="width: 700px; height: 525px;" /></font></p>

<p><font color="#ffffff">&nbsp;<img alt="" src="/files/uploads/Blog/Mersedes-benz/164zamenalins_GD/21.JPG" style="width: 700px; height: 525px;" /></font></p>

<p>&nbsp;</p>


';

function xreplace($matches)
{
    $imgSrcs = array();
    $imgAlts = array();

    foreach ($matches as $img_tag)
    {
        preg_match_all('/(src)=("[^"]*")/i', $img_tag, $imgSrcs[$img_tag]);
        preg_match_all('/(alt)=("[^"]*")/i', $img_tag, $imgAlts[$img_tag]);
    }

    $srcImg = str_replace(array(
        '"',
        "'",
        'http://',
        'http://',
        $_SERVER['HTTP_HOST']), '', $imgSrcs[$img_tag][2][0]);

    $altImg = str_replace(array('"', "'"), '', $imgAlts[$img_tag][2][0]);

    $rootPath = $_SERVER['DOCUMENT_ROOT'];
    $imgPath = $rootPath . $srcImg;
    $tmbPath = $rootPath . '/thumbs' . $srcImg;
    $imgSize = getimagesize($imgPath);
    $imgWidth = $imgSize[0];
    $limitSize = 480; //px

    $mem_aviable = intval(ini_get('memory_limit'));
    $mem_usage = round((memory_get_usage() / 1024) / 1024);
    $mem_get_peak_usage = round((memory_get_peak_usage() / 1024) / 1024);
    $mem_image = round((($imgSize[0] * $imgSize[1] * 4) / 1024) / 1024);

    echo "<!-- aviable=$mem_aviable usage=$mem_usage peak_usage=$mem_get_peak_usage image=$mem_image -->\n";

    if ((substr($srcImg, 0, 1) == '/') and ($imgWidth > $limitSize))
    {

        try
        {
            if (!file_exists($tmbPath))
            {
                $img = new SimpleImage($imgPath);
                $pathinfo = pathinfo($srcImg);

                if (!file_exists('../thumbs' . $pathinfo['dirname']))
                {
                    mkdir('../thumbs' . $pathinfo['dirname'], 0755, true);
                }

                $img->adaptive_resize($limitSize, ($limitSize / 4 * 3))->save($tmbPath, 75);
                $img = null;
            }

            return '<a class="fancybox" rel="details" href="' . $srcImg . '"><img src="' . '/thumbs' . $srcImg . '" alt="' . $altImg . '"></a>' . "\n";
        }
        catch (exception $e)
        {
            echo '<!-- exception: ', $e->getMessage(), " -->\n";
            return '<img src="' . $srcImg . '" alt="' . $altImg . '">' . "\n";
        }

    }
    else
    {
        return '<img src="' . $srcImg . '" alt="' . $altImg . '">' . "\n";
    }
}

$content = preg_replace_callback('/<img[^>]+>/i', 'xreplace', $content);

echo $content;
